<template>
  <table
    :id="'damageTabNum'+dtpId"
    class="damageMap"
    :class="damages">
    <tbody>
      <tr>
        <td>
          <object
            type="image/svg+xml"
            class="L"
            :data="'/frontapp/damage-l.svg?p='+damagesURI"/>
          <object
            type="image/svg+xml"
            class="B"
            :data="'/frontapp/damage-b.svg?p='+damagesURI"/>
          <object
            type="image/svg+xml"
            class="M"
            :data="'/frontapp/damage-m.svg?p='+damagesURI"/>
          <object
            type="image/svg+xml"
            class="F"
            :data="'/frontapp/damage-f.svg?p='+damagesURI"/>
          <object
            type="image/svg+xml"
            class="O"
            :data="'/frontapp/damage-o.svg?p='+damagesURI"/>
          <object
            type="image/svg+xml"
            class="D"
            :data="'/frontapp/damage-d.svg?p='+damagesURI"/>
        </td>
      </tr>
      <tr>
        <td valign="top">
          <ul>
            <li
              class="title"
              type="none"><b>Другие повреждения:</b>
            </li>
            <li
              class="id10"
              type="disc">Днище
            </li>
            <li
              class="id11 id001"
              type="disc">Полная деформация кузова
            </li>
            <li
              class="id12 id002"
              type="disc">Смещение двигателя
            </li>
            <li
              class="id13 id003"
              type="disc">Смещение переднего моста
            </li>
            <li
              class="id14 id004"
              type="disc">Смещение заднего моста
            </li>
            <li
              class="id15 id005"
              type="disc">Возгорание
            </li>
            <li
              class="id20 id006"
              type="disc">Повреждение (уничтожение) VIN
            </li>
          </ul>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
export default {
  name: 'DtpDamageMap',
  props: {
    dtpId: {
      type: String,
      required: true,
    },
    damages: {
      type: Array,
      required: true,
    },
  },
  computed: {
    damagesURI() {
      return encodeURI(this.damages.join(' '));
    },
  },
};
</script>

<style scoped lang="postcss">
  table.damageMap {
    border: 0;
    padding: 0;
    margin: 0;
    width: 442px;
  }

  .damageMap ul {
    display: none;
    border: 1px solid;
    border-radius: 10px;
    list-style-type: disc;
  }

  .damageMap li {
    display: none;
    list-style-type: disc;
    padding: 10px;
  }

  .damageMap.V10 ul, .damageMap.V11 ul, .damageMap.V12 ul, .damageMap.V13 ul, .damageMap.V14 ul, .damageMap.V15 ul,
  .damageMap.V16 ul, .damageMap.V001 ul, .damageMap.V002 ul, .damageMap.V003 ul, .damageMap.V004 ul, .damageMap.V005 ul,
  .damageMap.V006 ul {
    display: block;
  }

  .damageMap li.title {
    display: block;
  }

  .damageMap.V10 li.id10 {
    display: list-item;
  }

  .damageMap.V11 li.id11, .damageMap.V001 li.id001 {
    display: list-item;
  }

  .damageMap.V12 li.id12, .damageMap.V002 li.id002 {
    display: list-item;
  }

  .damageMap.V13 li.id13, .damageMap.V003 li.id003 {
    display: list-item;
  }

  .damageMap.V14 li.id14, .damageMap.V004 li.id004 {
    display: list-item;
  }

  .damageMap.V15 li.id15, .damageMap.V005 li.id005 {
    display: list-item;
  }

  .damageMap.V20 li.id20, .damageMap.V006 li.id006 {
    display: list-item;
  }

  .damageMap object {
    display: none;
  }

  .damageMap.V01 .O, .damageMap.V02 .O, .damageMap.V03 .O, .damageMap.V04 .O, .damageMap.V05 .O, .damageMap.V06 .O,
  .damageMap.V07 .O, .damageMap.V08 .O, .damageMap.V09 .O {
    display: block;
  }

  .damageMap.V110 .L, .damageMap.V111 .L, .damageMap.V112 .L, .damageMap.V113 .L, .damageMap.V114 .L,
  .damageMap.V115 .L, .damageMap.V116 .L, .damageMap.V117 .L, .damageMap.V118 .L, .damageMap.V119 .L,
  .damageMap.V120 .L, .damageMap.V121 .L, .damageMap.V122 .L, .damageMap.V123 .L, .damageMap.V124 .L,
  .damageMap.V125 .L, .damageMap.V126 .L, .damageMap.V210 .L, .damageMap.V211 .L, .damageMap.V212 .L,
  .damageMap.V213 .L, .damageMap.V214 .L, .damageMap.V215 .L, .damageMap.V216 .L, .damageMap.V217 .L,
  .damageMap.V218 .L, .damageMap.V219 .L, .damageMap.V220 .L, .damageMap.V221 .L, .damageMap.V222 .L,
  .damageMap.V223 .L, .damageMap.V224 .L, .damageMap.V225 .L, .damageMap.V226 .L {
    display: block;
  }

  .damageMap.V130 .B, .damageMap.V131 .B, .damageMap.V132 .B, .damageMap.V133 .B, .damageMap.V134 .B,
  .damageMap.V135 .B, .damageMap.V136 .B, .damageMap.V137 .B, .damageMap.V138 .B, .damageMap.V139 .B,
  .damageMap.V140 .B, .damageMap.V141 .B, .damageMap.V142 .B, .damageMap.V143 .B, .damageMap.V144 .B,
  .damageMap.V230 .B, .damageMap.V233 .B, .damageMap.V234 .B, .damageMap.V233 .B, .damageMap.V234 .B,
  .damageMap.V235 .B, .damageMap.V236 .B, .damageMap.V237 .B, .damageMap.V238 .B, .damageMap.V239 .B,
  .damageMap.V240 .B, .damageMap.V241 .B, .damageMap.V242 .B, .damageMap.V243 .B, .damageMap.V244 .B {
    display: block;
  }

  .damageMap.V150 .M, .damageMap.V151 .M, .damageMap.V152 .M, .damageMap.V153 .M, .damageMap.V154 .M,
  .damageMap.V155 .M, .damageMap.V250 .M, .damageMap.V253 .M, .damageMap.V254 .M, .damageMap.V253 .M,
  .damageMap.V254 .M, .damageMap.V255 .M {
    display: block;
  }

  .damageMap.V160 .F, .damageMap.V161 .F, .damageMap.V162 .F, .damageMap.V163 .F, .damageMap.V164 .F,
  .damageMap.V165 .F, .damageMap.V166 .F, .damageMap.V167 .F, .damageMap.V168 .F, .damageMap.V169 .F,
  .damageMap.V170 .F, .damageMap.V171 .F, .damageMap.V172 .F, .damageMap.V173 .F, .damageMap.V174 .F,
  .damageMap.V175 .F, .damageMap.V176 .F, .damageMap.V177 .F, .damageMap.V178 .F, .damageMap.V179 .F,
  .damageMap.V180 .F, .damageMap.V260 .F, .damageMap.V261 .F, .damageMap.V262 .F, .damageMap.V263 .F,
  .damageMap.V264 .F, .damageMap.V265 .F, .damageMap.V266 .F, .damageMap.V267 .F, .damageMap.V268 .F,
  .damageMap.V269 .F, .damageMap.V270 .F, .damageMap.V271 .F, .damageMap.V272 .F, .damageMap.V273 .F,
  .damageMap.V274 .F, .damageMap.V275 .F, .damageMap.V276 .F, .damageMap.V277 .F, .damageMap.V278 .F,
  .damageMap.V279 .F, .damageMap.V280 .F {
    display: block;
  }

  .damageMap.V190 .D, .damageMap.V191 .D, .damageMap.V192 .D, .damageMap.V193 .D, .damageMap.V194 .D,
  .damageMap.V195 .D, .damageMap.V196 .D, .damageMap.V197 .D, .damageMap.V198 .D, .damageMap.V199 .D,
  .damageMap.V290 .D, .damageMap.V291 .D, .damageMap.V292 .D, .damageMap.V293 .D, .damageMap.V294 .D,
  .damageMap.V295 .D, .damageMap.V296 .D, .damageMap.V297 .D, .damageMap.V297 .D, .damageMap.V297 .D {
    display: block;
  }

</style>
